image boot.vfat {
	vfat {
		files = {
			"bcm2708-rpi-b-plus.dtb",
			"bcm2708-rpi-b.dtb",
			"bcm2708-rpi-cm.dtb",
			"rpi-firmware/bootcode.bin",
			"rpi-firmware/fixup.dat",
			"rpi-firmware/start.elf",
			"rpi-firmware/overlays",
			"u-boot.bin",
			"config.txt",
			"boot.scr",
			"dev.scr",
			"update.scr",
			"uboot.env",
			"rpi_domo.dtb",
			"rootfs.cpio.uboot",
			"zImage"
		}
	}
	size = 30M
}

image sdcard.img {
	hdimage {
	}

	partition boot {
		partition-type = 0xC
		bootable = "true"
		image = "boot.vfat"
	}
	
	partition data {
		partition-type = 0x83
		image = "data.ext2"
	}
}
